# R_GE_R_COLLAPSED_TO_LINE

## Anforderung

| ID | R_GE_R_COLLAPSED_TO_LINE |
|---- | ---- |
| Beschreibung | Ein Spezialfall von Selbstverschneidung (R_GE_R_SELF_INTERSECTION): Der Ring ist eine Linie. Wenn der Ring zu ein Punkt darstellt, dann sollte GE_R_TOO_FEW_POINTS / GE_R_CONSECUTIVE_POINTS_SAME verwendet werden. |
| Fehlercode | GE_R_SELF_INTERSECTION, GE_R_COLLAPSED_TO_LINE, GE_R_TOO_FEW_POINTS, GE_R_CONSECUTIVE_POINTS_SAME |


## Prüfung

| ID | GE_R_COLLAPSED_TO_LINE|
|---- | ---- |
| Anforderungs ID | R_GE_R_COLLAPSED_TO_LINE |
| Vorbedingungen | R_SC_SCHEMA_VALIDATION, [R_GE_R_TOO_FEW_POINTS](R_GE_R_TOO_FEW_POINTS.md), [R_GE_R_CONSECUTIVE_POINTS_SAME](R_GE_R_CONSECUTIVE_POINTS_SAME.md), [R_GE_R_NOT_CLOSED](R_GE_R_NOT_CLOSED.md)  |
| Beschreibung | Ring als ein Punkt kann nicht passieren, wegen den Vorbedingungen. Ist eigentlich eine Selbstverschneidung |
| Fehlercode | GE_R_COLLAPSED_TO_LINE |

