# R_GE_S_SELF_INTERSECTION

## Anforderung

| ID | R_GE_S_SELF_INTERSECTION |
|---- | ---- |
| Beschreibung| Der Solid darf sich nicht selbstverschneiden |
| Fehlercode | GE_S_SELF_INTERSECTION |  

Beispiel (links = OK, rechts = Fehlerhaft):   
![SelfIntersection](img/SelfIntersection.png)

## Prüfung

| ID | C_GE_S_SELF_INTERSECTION |
|---- | ---- |
| Anforderungs ID | R_GE_S_SELF_INTERSECTION |
| Vorbedingungen | R_SC_SCHEMA_VALIDATION, R_GE_R_ALL, R_GE_P_ALL, [R_GE_S_TOO_FEW_POLYGONS](R_GE_S_TOO_FEW_POLYGONS.md), [R_GE_S_NOT_CLOSED](R_GE_S_NOT_CLOSED.md), [R_GE_S_NON_MANIFOLD_VERTEX](R_GE_S_NON_MANIFOLD_VERTEX.md), [R_GE_S_NON_MANIFOLD_EDGE](R_GE_S_NON_MANIFOLD_EDGE.md), [R_GE_S_MULTIPLE_CONNECTED_COMPONENTS](R_GE_S_MULTIPLE_CONNECTED_COMPONENTS.md), [R_GE_S_POLYGON_WRONG_ORIENTATION](R_GE_S_POLYGON_WRONG_ORIENTATION.md) |
| Beschreibung |  |
| Fehlercode | GE_S_SELF_INTERSECTION |


