# Validierung von 3D Stadtmodellen in CityGML

## Begriffe und Definitionen
nach [CityGML Quality Interoperability Experiment, chapter 3](http://mail.opengeospatial.org/lists/lt.php?id=fR4CDVYeAlJfHwhTCwA)

**Validierung**
> Prozess des validierens einer CityGML Datei nach spezifizierten Anforderungen. Eine valide Datei entspricht allen Anforderungen.


**Anforderungen**
> Regeln und Einschränkungen, die die Datenstruktur eindeutig definieren. Anforderungen können von dem CityGML Standard Dokument abgleitet werden oder gesondert, als Anforderung an den CityGML Standard, definiert werden um Mehrdeutigkeiten des Standards zu verhindern oder zusätzliche nutzerabhängige Anforderungen zu definieren.


**Prüfung**

> Algorithmische Implementation um eine Anforderung innerhalb eines Validerungsprogramms zu prüfen.


**Fehler**
> Ergebnis einer Prüfung im Falle einer Nichtkonformität von Anforderungen.


**Validierungsplan**
> Strukturierte Liste von Anforderungen, überlicherweise angepasst an den konkreten Fall.


### Zusätzliche Defintionen:
**XSD valide**
> Eine CityGML Datei XSD valide wenn sie dem CityGML XML Schema entspricht.




